export declare class Subscription<S extends {
    state: any;
    dispatch: any;
} = any> {
    private store;
    private listeners;
    constructor(store: S);
    getStore(): S;
    setState<T extends keyof S['state']>(partial: T, value: S['state'][T]): void;
    setDispatchs<T extends keyof S['dispatch']>(partial: T, value: S['dispatch'][T]): void;
    trySubscribe(): void;
    addListener(listener: (state: S) => void): void;
    deleteListener(listener: (state: S) => void): void;
    reset(store: S): void;
}
